Update IdeaCloud draft settings
curl --request PATCH \
--url https://api.app.hrizn.io/v1/public/ideaclouds/{id}/settings \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"selected_staff": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"tone": "<string>",
"brand_voice_id": "<string>",
"language": "<string>",
"selected_template_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"target_geo_overrides": [
{
"element_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"priority": 123
}
],
"auto_compliance": true,
"auto_content_tools": true,
"title": "<string>"
}
'import requests
url = "https://api.app.hrizn.io/v1/public/ideaclouds/{id}/settings"
payload = {
"selected_staff": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"tone": "<string>",
"brand_voice_id": "<string>",
"language": "<string>",
"selected_template_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"target_geo_overrides": [
{
"element_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"priority": 123
}
],
"auto_compliance": True,
"auto_content_tools": True,
"title": "<string>"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
selected_staff: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
tone: '<string>',
brand_voice_id: '<string>',
language: '<string>',
selected_template_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
target_geo_overrides: [{element_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a', priority: 123}],
auto_compliance: true,
auto_content_tools: true,
title: '<string>'
})
};
fetch('https://api.app.hrizn.io/v1/public/ideaclouds/{id}/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
selected_staff: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
tone: '<string>',
brand_voice_id: '<string>',
language: '<string>',
selected_template_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
target_geo_overrides: [{element_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a', priority: 123}],
auto_compliance: true,
auto_content_tools: true,
title: '<string>'
})
};
fetch('https://api.app.hrizn.io/v1/public/ideaclouds/{id}/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.app.hrizn.io/v1/public/ideaclouds/{id}/settings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'selected_staff' => [
'3c90c3cc-0d44-4b50-8888-8dd25736052a'
],
'tone' => '<string>',
'brand_voice_id' => '<string>',
'language' => '<string>',
'selected_template_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'target_geo_overrides' => [
[
'element_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'priority' => 123
]
],
'auto_compliance' => true,
'auto_content_tools' => true,
'title' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {}
}{
"error": {
"code": "validation_error",
"message": "keyword: Required",
"details": {},
"request_id": "<string>"
}
}{
"error": {
"code": "validation_error",
"message": "keyword: Required",
"details": {},
"request_id": "<string>"
}
}{
"error": {
"code": "validation_error",
"message": "keyword: Required",
"details": {},
"request_id": "<string>"
}
}{
"error": {
"code": "validation_error",
"message": "keyword: Required",
"details": {},
"request_id": "<string>"
}
}{
"error": {
"code": "validation_error",
"message": "keyword: Required",
"details": {},
"request_id": "<string>"
}
}Update IdeaCloud draft settings
Persist Composer accordion draft_settings (article type, tone, Layouts, geo, etc.).
PATCH
/
ideaclouds
/
{id}
/
settings
Update IdeaCloud draft settings
Authorizations
Your Hrizn API key (prefix hzk_)
Path Parameters
IdeaCloud ID
Body
application/json
Available options:
basic, qa, expert Available options:
general, fixed_ops, variable Available options:
concise, steady, balanced, substantial, in-depth Available options:
standard, visual Available options:
template, custom, user-template Response
Updated settings
Last modified on July 26, 2026
⌘I
